Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class AbstractTextArea.TextAdjustingInfo

    java.lang.Object
      org.apache.fop.area.inline.InlineArea.InlineAdjustingInfo
          org.apache.fop.area.inline.AbstractTextArea.TextAdjustingInfo

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbstractTextArea

    protected class AbstractTextArea.TextAdjustingInfo

extends InlineArea.InlineAdjustingInfo

this class stores information about spaces and potential adjustments that can be used in order to re-compute adjustments when a page-number or a page-number-citation is resolved

See Also:
  Serialized Form

Field Summary
`protected int` | `spaceDifference` difference between the optimal width of a space and the default width of a space according to the font (this is equivalent to the property word-spacing.optimum)

Fields inherited from class org.apache.fop.area.inline.InlineArea.InlineAdjustingInfo
`adjustment, availableShrink, availableStretch`

Constructor Summary
`protected` | `AbstractTextArea.TextAdjustingInfo(int stretch, int shrink, int adj)` Constructor

Method Summary

Methods inherited from class org.apache.fop.area.inline.InlineArea.InlineAdjustingInfo
`applyVariationFactor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### spaceDifference

    protected int spaceDifference

  difference between the optimal width of a space and the default width of a space according to the font (this is equivalent to the property word-spacing.optimum)

Constructor Detail

### AbstractTextArea.TextAdjustingInfo

    protected AbstractTextArea.TextAdjustingInfo(int stretch,
                                                 int shrink,
                                                 int adj)

  Constructor

  Parameters:
    `stretch` - the available space for stretching
    `shrink` - the available space for shrinking
    `adj` - space adjustment type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.